let Audio = function () {

    let fromPhone = function (path) {
        if (path === undefined) {
            // Wijzig het pad naar een bestaand audio bestand!
            path = `${basePath}Music/07 Los Ninos Del Parque.mp3`;
        }
        $('#audioDisc audio').attr('src', path);
        $('#audioDisc p b').text(path);
    };

    let listDir= function (){
        // Voorbeeld: https://ourcodeworld.com/articles/read/17/list-android-directory-in-cordova
        let path = `${basePath}Music`;
        window.resolveLocalFileSystemURL(path, function (dirEntry) {
            let directoryReader = dirEntry.createReader();
            directoryReader.readEntries(onSuccessCallback,onFailCallback);
        });

        function onSuccessCallback(entries){
            console.log('List music directory', JSON.stringify(entries));
            for (let i=0; i<entries.length; i++) {
                if(entries[i].isFile){
                    $('#audioSelect').append(`<option value="${entries[i].nativeURL}">${entries[i].name}</option>`);
                }
            }
            $('select').formSelect();
        }

        function onFailCallback(){
            // In case of error
        }
    }

    return {
        fromPhone: fromPhone,
        listDir: listDir
    };
}();
